Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365257 - Graphite Carbon Cache (carbon-cache service) crashes on start.
Summary: Graphite Carbon Cache (carbon-cache service) crashes on start.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: graphite-web
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: Matthias Runge
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 17:43 UTC by Leonid Natapov
Modified: 2017-09-22 20:09 UTC (History)
3 users (show)

Fixed In Version: python-carbon-0.9.15-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-28 19:58:58 UTC


Attachments (Terms of Use)

Description Leonid Natapov 2016-08-08 17:43:45 UTC
Description of problem:
When trying to start Graphite Carbon Cache (carbon-cache service)getting the following error:
-------------------
● carbon-cache.service - Graphite Carbon Cache
   Loaded: loaded (/usr/lib/systemd/system/carbon-cache.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Mon 2016-08-08 15:48:50 IDT; 4h 33min ago
  Process: 43100 ExecStart=/usr/bin/carbon-cache --config=/etc/carbon/carbon.conf --pidfile=/var/run/carbon-cache.pid --logdir=/var/log/carbon/ start (code=exited, status=1/FAILURE)

Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com carbon-cache[43100]: Traceback (most recent call last):
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com carbon-cache[43100]: File "/usr/bin/carbon-cache", line 28, in <module>
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com carbon-cache[43100]: from carbon.util import run_twistd_plugin
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com carbon-cache[43100]: File "/usr/lib/python2.7/site-packages/carbon/util.py", line 21, in <module>
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com carbon-cache[43100]: from twisted.scripts._twistd_unix import daemonize
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com carbon-cache[43100]: ImportError: cannot import name daemonize
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com systemd[1]: carbon-cache.service: control process exited, code=exited status=1
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com systemd[1]: Failed to start Graphite Carbon Cache.
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com systemd[1]: Unit carbon-cache.service entered failed state.
Aug 08 15:48:50 puma42.scl.lab.tlv.redhat.com systemd[1]: carbon-cache.service failed.
---------------------

similar bug was found on Fedore.
https://bugzilla.redhat.com/show_bug.cgi?id=1183270


Note You need to log in before you can comment on or make changes to this bug.